# Payment Processor Service Overview

The Payment Processor service is a set of methods implemented by the integrator
and called by Google. These methods are used to convey payments, remittance
documents, and link accounts between the integrator and Google.

| Methods ||
|---|---|
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/associateAccount` | `POST /v1/associateAccount` Associates the customer's account with the payment processor to the Google instrument being added. |
| `https://developers.google.com/standard-payments/payment-processor-service-ap/v1/TopLevel/capture` | `POST /v1/capture` Initiates money movement between a customer's account held with the payment processor and Google. |
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/echo` | `POST /v1/echo` Echos back the `client_message` passed in. |
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/refreshToken` | `POST /v1/refreshToken` Refreshes a payment token's expiration date. |
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/refund` | `POST /v1/refund` Refunds a portion of or all of a transaction initiated through `capture`. |
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/remittanceStatementNotification` | `POST /v1/remittanceStatementNotification` Notifies the integrator of a new remittance statement. |
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/sendOtp` | `POST /v1/sendOtp` Requests that the integrator send an OTP for the identified account. |
| `https://developers.google.com/standard-payments/payment-processor-service-api/v1/TopLevel/verifyOtp` | `POST /v1/verifyOtp` Verifies an OTP value was sent by the integrator for the account. |